Name:		gstreamer-rtsp
Version:	0.10.8
Release:	25%{?dist}
Summary:	GStreamer RTSP server library

License:	LGPLv2+
URL:		http://people.freedesktop.org/~wtay/
Source0:	http://gstreamer.freedesktop.org/src/gst-rtsp/gst-rtsp-%{version}.tar.bz2
Patch0:		gst-rtsp-fixpygo.patch

BuildRequires:	gstreamer-devel gstreamer-plugins-base-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	vala
BuildRequires:	chrpath

BuildRequires: automake autoconf libtool

%description
A GStreamer-based RTSP server library, with Vala bindings.

%package devel
Summary:	Development files for %{name}
Requires:	%{name} = %{version}-%{release}
License:	LGPLv2+
Requires:	pkgconfig
Requires:	gstreamer-devel
Requires:	gstreamer-plugins-base-devel
Requires:	%{name} = %{version}-%{release}
# -vala subpackage removed in F30
Obsoletes:	gstreamer-rtsp-vala < 0.10.8-24
Provides:	gstreamer-rtsp-vala = %{version}-%{release}

%description devel
Development files for %{name}, the GStreamer RTSP server library.

%prep
%setup -q -n gst-rtsp-%{version}
%patch0 -p1 -b .fix-pygo

autoreconf -f

%build
export PYTHON=false

# Until https://bugzilla.gnome.org/show_bug.cgi?id=634376 is fixed, disable introspection
%configure

make %{?_smp_mflags} V=1

%install
make install DESTDIR=$RPM_BUILD_ROOT

#Remove libtool archives and static
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
# can't tweak libtool, see:
# https://bugzilla.gnome.org/show_bug.cgi?id=634376#c1
chrpath --delete %{buildroot}%{_libdir}/libgstrtspserver-0.10.so*

%ldconfig_scriptlets

%files
%doc COPYING.LIB README TODO NEWS
%{_libdir}/libgstrtspserver-0.10.so.0
%{_libdir}/libgstrtspserver-0.10.so.0.0.0
%{_libdir}/girepository-1.0/GstRtspServer-0.10.typelib

%files devel
%{_includedir}/gstreamer-0.10/gst/rtsp-server
%{_libdir}/libgstrtspserver-0.10.so
%{_libdir}/pkgconfig/gst-rtsp-server-0.10.pc
%{_datadir}/gir-1.0/GstRtspServer-0.10.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/gst-rtsp-server-0.10.deps
%{_datadir}/vala/vapi/gst-rtsp-server-0.10.vapi

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.8-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Feb 04 2019 Kalev Lember <klember@redhat.com> - 0.10.8-24
- Use standard vala packaging pattern where vapi files are in -devel

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.8-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 09 2019 Miro Hrončok <mhroncok@redhat.com> - 0.10.8-22
- Remove python2 subpackage

* Fri Jul 20 2018 Wim Taymans <wtaymans@redhat.com> - 0.10.8-21
- Add python2 BR

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.8-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.10.8-19
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.8-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Aug 20 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.8-17
- Add Provides for the old name without %%_isa

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.10.8-16
- Python 2 binary package renamed to python2-gstreamer-rtsp
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.8-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.8-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.8-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jan 30 2015 Wim Taymans <wtaymans@gmail.com> - 0.10.8-9
- Add gstreamer-plugins-base-devel to Requires
- Fixes rhbz#1186261

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 22 2014 Kalev Lember <kalevlember@gmail.com> - 0.10.8-7
- Rebuilt for gobject-introspection 1.41.4

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Aug 16 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.10.8-1
- Update to 0.10.8, cleanup spec file

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 09 2010 Bastien Nocera <bnocera@redhat.com> 0.10.7-2
- Enable introspection, thanks Colin

* Fri Nov 05 2010 Bastien Nocera <bnocera@redhat.com> 0.10.7-1
- Update to 0.10.7

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.10.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Dec 16 2009 Bastien Nocera <bnocera@redhat.com> 0.10.5-1
- Update to 0.10.5

* Sat Aug  8 2009 Peter Robinson <pbrobinson@fedoraproject.org> 0.10.4-1
- Update to 0.10.4

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 18 2009 Bastien Nocera <bnocera@redhat.com> 0.10.3-1
- Update to 0.10.3 (#501159)

* Thu Apr 23 2009 - Bastien Nocera <bnocera@redhat.com> - 0.10.1.0-3
- Update for missing Requires, and ldconfig calls, with help from
  Peter Lemenkov <lemenkov@gmail.com>

* Thu Apr 23 2009 - Bastien Nocera <bnocera@redhat.com> - 0.10.1.0-2
- Require gstreamer-python-devel in F11

* Tue Feb 03 2009 - Bastien Nocera <bnocera@redhat.com> - 0.10.1.0
- First version

